Bug 450553 - Review Request: perl-TAP-Harness - Run Perl standard test scripts with statistics
Review Request: perl-TAP-Harness - Run Perl standard test scripts with statis...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
http://v3.sk/~lkundrak/SPECS/perl-TAP...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 11:37 EDT by Lubomir Rintel
Modified: 2008-06-13 01:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 13:34:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Lubomir Rintel 2008-06-09 11:40:37 EDT
Note that this is perl Test-Harness 3.10 package, stripped of Test::Harness
compatibility module, because older version of Test::Harness is included in perl
package (and perl-Test-Harness since Fedora 9).

This means that packages that rely on Test::Harness interface won't be affected
by this package, and only TAP::Harness is provided by this package.
Comment 2 Ralf Corsepius 2008-06-09 11:46:12 EDT
I am very strongly opposed to letting this package in and am leaning to reject it.

What is the issue you are trying to solve?
Comment 3 Lubomir Rintel 2008-06-09 12:46:50 EDT
Ralf: The issue I am trying to solve is lack of TAP::Harness module in Fedora.
Could you please name specific reasons against letting the package in Fedora?
Comment 4 Marek Mahut 2008-06-10 06:49:24 EDT
I don't see anything wrong with this package, it looks sane. approved.
Comment 5 Lubomir Rintel 2008-06-10 07:13:29 EDT
New Package CVS Request
=======================
Package Name: perl-TAP-Harness
Short Description: Run Perl standard test scripts with statistics
Owners: lkundrak
Branches: F-8 F-9 EL-4 EL-5
Cvsextras Commits: yes
Comment 6 Ralf Corsepius 2008-06-10 08:05:32 EDT
(In reply to comment #4)
> I don't see anything wrong with this package, it looks sane. approved.
I do see many issues

a) This package is not a CPAN distro, it's a submodule of Test::Harness
b) This package doesn't install correctly - It wants to replace Test::Harness
c) This package will collide with a future upgrade of Test::Harness

You are outsmarting yourselves. 

DISAPPROVING.


Comment 7 Lubomir Rintel 2008-06-10 09:04:41 EDT
(In reply to comment #6)
> (In reply to comment #4)
> > I don't see anything wrong with this package, it looks sane. approved.
> I do see many issues
> 
> a) This package is not a CPAN distro, it's a submodule of Test::Harness

Could you please point me to the part of Perl packaging guidelines that you
believe to be violated by this?

> b) This package doesn't install correctly - It wants to replace Test::Harness

How? I've double chcecked that this package don't have a single common provide
with anything that is in RHEL5 with EPEL and Fedora 9. The SPEC file contains no
Replaces nor Obsoletes tag. I also believe there is no file conflict. If you
feel that there is a flaw in how I ensured to neither conflict with anything,
nor replace anything please be more specific, e.g. provide a specific example.

> c) This package will collide with a future upgrade of Test::Harness

There is a mechanism to deal with this --  I was asked to file a bug against F10
perl, so that included Test-Harness will be upgraded to TAP::Harness based
version 3.10. I will do so shortly. There will be no need for this package to
ever make it into F10 Rawhide then.

Only possible problem I can imagine would be a case where a hypothetical package
would require perl-TAP-Harness instead of perl(TAP::Harness). In that case it is
not a problem  of this package, nor an unsolvable problem.

> You are outsmarting yourselves. 

Thanks for being polite and concentrating on providing well-verified facts.

> DISAPPROVING.

Comment 8 Marek Mahut 2008-06-11 13:20:36 EDT
Ralf?
Comment 9 Tom "spot" Callaway 2008-06-11 16:13:45 EDT
FWIW, I disagree entirely with Ralf. Setting review back to +.
Comment 10 Kevin Fenzi 2008-06-12 12:05:17 EDT
cvs done.
Comment 11 Lubomir Rintel 2008-06-12 13:34:48 EDT
Thanks for assistance, Tom; Thanks for review, Marek; Thanks for CVS, Kevin;
and thanks for constructive criticism, Ralf.

Imported and built.
Followup in bug #451078.
Comment 12 Ralf Corsepius 2008-06-13 01:21:51 EDT
(In reply to comment #9)
> FWIW, I disagree entirely with Ralf. Setting review back to +.
OK, once more @RH's are abusing their positions.





Note You need to log in before you can comment on or make changes to this bug.